Bug 182040 - Review Request: ratpoison - simplified keyboard-only window manager
Review Request: ratpoison - simplified keyboard-only window manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-19 13:00 EST by John Berninger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 13:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Berninger 2006-02-19 13:00:47 EST
Spec Name or Url: http://www.berningeronline.net/ratpoison.spec
SRPM Name or Url: http://www.berningeronline.net/ratpoison-1.3.0-1.src.rpm
Description: Ratpoison is a simplified window manager designed for use with a keyboard only, without any mouse support, without window decorations, and without large library dependencies.  Packaged here for inclusion in FE as a result of an entry on the Extras/WishList.
Comment 1 John Berninger 2006-02-19 13:38:31 EST
Additional note:  I'm not yet sponsored, although I have been working on the
gallery package in BZ 181599 as well.  I'll need a sponsor for this one if
181599 isn't accepted.
Comment 2 Rudolf Kastl 2006-03-04 18:51:43 EST
gdm entry missing
Comment 3 John Berninger 2006-03-09 15:31:17 EST
I can't seem to find where this GDM entry would be...  any pointers you could
give me?
Comment 4 Kevin Fenzi 2006-03-10 15:10:05 EST
You need to have a .desktop file in /usr/share/xsessions/ 
(ie, ratpoison.desktop)

Thats what gdm looks at to generate it's list of options for sessions. 
See the gnome/kde/xfce versions for more info. (For Xfce, it's in the xfce-utils
package). 
Comment 5 John Berninger 2006-03-10 17:32:14 EST
OK, I see the files you're referring to.  How many languages /translations must
be present in the .desktop file for the package to be acceptable?
Comment 6 John Berninger 2006-03-13 17:06:33 EST
Added a .desktop file and installed to /usr/share/xsessions.  Updated packages:

SPEC: http://www.berningeronline.net/ratpoison.spec
SRPM: http://www.berningeronline.net/ratpoison-1.3.0-2.src.rpm
Comment 7 Kevin Fenzi 2006-04-06 22:30:07 EDT
Here's A review:

MUST items:

See below - rpmlint output
OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - License. (GPL)
OK - License field matches in spec.
OK - License included in files.
OK - Spec in american english.
OK - md5sum of source from upstream
75541248c355a3f1e09e864dd23a43f4  ratpoison-1.3.0.tar.gz
75541248c355a3f1e09e864dd23a43f4  ratpoison-1.3.0.tar.gz.1
OK - Compiles and builds on one arch at least.
OK - No forbidden buildrequires included
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
OK - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Doesn't own any files/dirs that are already owned by other packages.

Items needing attention:

1. Not a blocker, but 1.4.0 is out.

2. blocker: BuildRequires: xorg-x11-devel isn't valid in fc5 and
later. Builds ok on fc4.
Suggest: 'BuildRequires: libX11-devel' for devel/fc5.

3. blocker: unpackaged files on build:
warning: Installed (but unpackaged) file(s) found:
   /usr/share/info/dir
Suggest: adding to the end of install:
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

4. Requires: aren't needed at all. Can be removed. rpm will detect them.

5. rpmlint has some output:
W: ratpoison strange-permission ratpoison.desktop 0755
E: ratpoison script-without-shellbang /usr/share/xsessions/ratpoison.desktop

Can be ignored.

E: ratpoison non-executable-script /usr/share/ratpoison/allwindows.sh 0644
E: ratpoison non-executable-script /usr/share/ratpoison/genrpbindings 0644
E: ratpoison non-executable-script /usr/share/ratpoison/rpshowall.sh 0644
E: ratpoison non-executable-script /usr/share/ratpoison/split.sh 0644
E: ratpoison non-executable-script /usr/share/ratpoison/clickframe.pl 0644
E: ratpoison non-executable-script /usr/share/ratpoison/rpws 0644

These should all probibly be 755?

E: ratpoison info-files-without-install-info-postin
/usr/share/info/ratpoison.info.gzE: ratpoison
info-files-without-install-info-postun /usr/share/info/ratpoison.info.gz
Should use install-info in postin, and postun?
Comment 8 John Berninger 2006-04-07 15:23:58 EDT
Above errors corrected - although I didn't get the rpmlint errors about the
install-info from the old SRPM on my system.  Not sure what my system is doing
to me.  New packages:

SPEC: http://www.berningeronline.net/ratpoison.spec
SRPM: http://www.berningeronline.net/ratpoison-1.4.0-1.src.rpm
Comment 9 Kevin Fenzi 2006-04-08 16:42:19 EDT
The spec in comment #8 seems to be the old spec, but the new one is in the
src.rpm, so no problems. ;) 

fc4 now builds ok, but fc5 and devel fail with: 

gcc  -O2 -g -march=i386 -mcpu=i686 -Wall -O2    -o ratpoison  actions.o bar.o
completions.o communications.o editor.o events.o format.o frame.o getopt.o
getopt1.o globals.o group.o history.o hook.o input.o linkedlist.o main.o
manage.o number.o sbuf.o screen.o split.o window.o xinerama.o  -lXinerama -lXext
-lX11  -lhistory
actions.o: In function `cmd_rathold':
/home/kevin/rpm/BUILD/ratpoison-1.4.0/src/actions.c:3032: undefined reference to
`XTestFakeButtonEvent'
/home/kevin/rpm/BUILD/ratpoison-1.4.0/src/actions.c:3030: undefined reference to
`XTestFakeButtonEvent'
actions.o: In function `cmd_ratclick':
/home/kevin/rpm/BUILD/ratpoison-1.4.0/src/actions.c:3012: undefined reference to
`XTestFakeButtonEvent'
/home/kevin/rpm/BUILD/ratpoison-1.4.0/src/actions.c:3013: undefined reference to
`XTestFakeButtonEvent'
collect2: ld returned 1 exit status
make[2]: *** [ratpoison] Error 1
make[2]: Leaving directory `/home/kevin/rpm/BUILD/ratpoison-1.4.0/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/kevin/rpm/BUILD/ratpoison-1.4.0/src'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.43773 (%build)

Looks like a missing BuildRequires: libXtst-devel (for fc5, devel only )

The install-info lines aren't quite right, resulting in: 
Preparing...                ########################################### [100%]
   1:ratpoison              ########################################### [100%]
install-info: No dir file specified; try --help for more information.

Please look at the Texinfo section of the scriptlets page: 
http://fedoraproject.org/wiki/ScriptletSnippets

Those are the last two blockers I see. Fix those up and I would be happy to
approve the package. 
Comment 10 John Berninger 2006-04-08 17:24:46 EDT
Fixed up in new packages:

SPEC: http://www.berningeronline.net/ratpoison.spec
SRPM: http://www.berningeronline.net/ratpoison-1.4.0-2.src.rpm
Comment 11 Kevin Fenzi 2006-04-08 17:41:50 EDT
Looking good. 
I did run one last rpmlint and it outputs: 

W: ratpoison devel-file-in-non-devel-package /usr/share/ratpoison/unrat.c
E: ratpoison script-without-shellbang /usr/share/ratpoison/unrat.c
E: ratpoison script-without-shellbang /usr/share/ratpoison/ratpoison.el
W: ratpoison devel-file-in-non-devel-package /usr/share/ratpoison/sloppy.c
E: ratpoison script-without-shellbang /usr/share/ratpoison/sloppy.c
E: ratpoison script-without-shellbang /usr/share/xsessions/ratpoison.desktop

You might want to chmod 644 those .c/.el files, they shouldn't need to be
executable. 

You can go ahead and do that before you import it... 

Everything looks good aside from that, so this package is approved. 
If you still need a sponsor, I would be happy to sponsor you. 

You should be able to continue the process from the "Get a Fedora Account" step
from the http://fedoraproject.org/wiki/Extras/Contributors page. 

If you have any questions feel free to drop me an email. 
Comment 12 John Berninger 2006-04-08 22:05:14 EDT
Chmod's done in spec file, waiting for account sponsorship now.  Thanks for the
help!
Comment 13 John Berninger 2006-04-10 11:34:50 EDT
Imported, plague FC4 builds, FC5 and devel fail on ./configure checking for X
headers.  Working on that now.

Note You need to log in before you can comment on or make changes to this bug.